#
# spec file for package baekmuk (Version 2.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         baekmuk
Summary:      Baekmuk Fonts (Korean fonts for X11, bitmap version)
Version:      2.0
Release:      137
Requires:     xf86
Source0:      baekmuk-2.0.tar.bz2
Source1:      baekmuk-doc.tar.gz
Source2:      baekmuk-ttf-2.0.tar.bz2
Source3:      gulim24.bdf.bz2
Source4:      batang14.bdf.bz2
Source7:      http://zinc.skku.ac.kr/~wkpark/baekmuk/gulim10.bdf.bz2
Source8:      http://zinc.skku.ac.kr/~wkpark/baekmuk/gulim10b.bdf.bz2
Source11:     http://zinc.skku.ac.kr/~wkpark/baekmuk/batang10.bdf.bz2
Source12:     http://zinc.skku.ac.kr/~wkpark/baekmuk/batang10b.bdf.bz2
Source13:     http://zinc.skku.ac.kr/~wkpark/baekmuk/gulim12.bdf.bz2
Source14:     http://zinc.skku.ac.kr/~wkpark/baekmuk/gulim12b.bdf.bz2
Source17:     fonts.alias
Source18:     mkitalic
Source19:     mkbold
# truetype-ko-fonts.dir is nice, but in xtt syntax, which does not work with freetype
Source20:     truetype-ko-fonts.dir
# fonts.scale.baekmuk is very bare bones and works with both, freetype and xtt
Source21:     fonts.scale.baekmuk
Source22:     prepare-bitmap-fonts.sh
Source30:     baekmuk-bitmap-fonts-prepared.tar.bz2
NoSource: 30
Patch0:       mkitalic-autobuild.patch
Copyright:    GPL
Group:        Extensions/Korean
BuildRoot:    /var/tmp/%{name}-root
BuildPrereq:  perl, gawk, /usr/X11R6/bin/bdftopcf
Prereq:       /usr/X11R6/bin/mkfontdir
BuildArchitectures: noarch
%define	fontdir		/usr/X11R6/lib/X11/fonts/baekmuk
%define	xfontdir	/usr/X11R6/lib/X11/fonts/truetype

%description
Baekmuk Fonts (Korean fonts for X11, bitmap version)

SuSE series: han

%package -n   baekmuk-ttf
Summary:      Baekmuk Fonts (Korean fonts for X11, True Type version)
Group:        Extensions/Korean

%description -n baekmuk-ttf
Baekmuk Fonts (Korean fonts for X11, True Type version)

SuSE series: han

%prep
%setup -q -c -a 0 -a 1 -a 2
cp -f $RPM_SOURCE_DIR/batang14.bdf.bz2 .
cp -f $RPM_SOURCE_DIR/gulim24.bdf.bz2 .
cp -f $RPM_SOURCE_DIR/gulim10.bdf.bz2 .
cp -f $RPM_SOURCE_DIR/gulim10b.bdf.bz2 .
cp -f $RPM_SOURCE_DIR/gulim12.bdf.bz2 .
cp -f $RPM_SOURCE_DIR/gulim12b.bdf.bz2 .
cp -f $RPM_SOURCE_DIR/batang10.bdf.bz2 .
cp -f $RPM_SOURCE_DIR/batang10b.bdf.bz2 .
bunzip2 -f $RPM_BUILD_DIR/%{name}-%{version}/*bz2

%build
cp $RPM_SOURCE_DIR/mkitalic .
patch -p0 < $RPM_SOURCE_DIR/mkitalic-autobuild.patch
cp $RPM_SOURCE_DIR/mkbold .
# Prepare a tar ball containing a complete set of all baekmuk bitmap fonts.
# If the tar ball is already available and up to date,  just unpack the prepared
# tar ball.
# Generating the bold and especially the italic fonts takes a HUGE amount of time
# (8 hours on a 500 Mhz Pentium III). And although this is a noarch package,
# autobuild tries to build it an all architectures. This causes big problems when
# we don't have lots of build power for an architecture, for example for sparc and ppc.
#cp $RPM_SOURCE_DIR/prepare-bitmap-fonts.sh .
#source ./prepare-bitmap-fonts.sh
#tar Icvf baekmuk-bitmap-fonts-prepared.tar.bz2 *.bdf
cp $RPM_SOURCE_DIR/baekmuk-bitmap-fonts-prepared.tar.bz2 .
tar Ixvf baekmuk-bitmap-fonts-prepared.tar.bz2        # already prepared tarball
for src in *.bdf ; do
 /usr/X11R6/bin/bdftopcf $src | gzip -9 > ${src%.bdf}.pcf.gz
done

%install
if [ -n "%{?buildroot}" ] ; then
   [ %{buildroot} != "/" ] && rm -rf %{buildroot}
fi
mkdir -p %{buildroot}%{fontdir}
mkdir -p %{buildroot}%{xfontdir}
install -c -m 644 *.pcf.gz %{buildroot}%{fontdir}
install -c -m 644 %{SOURCE17} %{buildroot}%{fontdir}/fonts.alias
install -c -m 644 *.ttf %{buildroot}%{xfontdir}
install -c -m 644 $RPM_SOURCE_DIR/fonts.scale.baekmuk %{buildroot}%{xfontdir}/fonts.scale.baekmuk
/usr/X11R6/bin/mkfontdir %{buildroot}%{fontdir}

%clean
rm -rf %{buildroot}

%post -n baekmuk
echo please run SuSEconfig to update /usr/X11R6/lib/X11/fonts/truetype

%postun -n baekmuk
echo please run SuSEconfig to update /usr/X11R6/lib/X11/fonts/truetype

%post -n baekmuk-ttf
echo please run SuSEconfig to update /usr/X11R6/lib/X11/fonts/truetype

%postun -n baekmuk-ttf
echo please run SuSEconfig to update /usr/X11R6/lib/X11/fonts/truetype

%files
%defattr(-, root,root)
%doc COPYRIGHT COPYRIGHT.ks
%{fontdir}/*

%files -n baekmuk-ttf
%defattr(-, root,root)
%{xfontdir}/*.ttf
%config %{xfontdir}/fonts.scale.baekmuk

%changelog -n baekmuk
* Mon May 21 2001 - mfabian@suse.de
- prepare a tarball containing the complete set of fonts, including
  the bold and italic versions, to avoid having to rebuild the
  bold and italic versions always on all architectures. Always
  rebuilding them burns a lot of build power, which is not
  available on some architectures. Especially the script used to
  generate the italic versions (awk script mkitalic) is
  extremely slow.
* Thu May 03 2001 - mfabian@suse.de
- remove %%post and %%postun, it is enough when SuSEconfig
  updates the font directory, better don't duplicate the code
  here.
* Wed Mar 07 2001 - mfabian@suse.de
- add xf86 to "# neededforbuild"
* Mon Jan 22 2001 - violiet@suse.de
- update to gulim12.bdf and gulim12b.bdf.
* Tue Jan 16 2001 - mfabian@suse.de
- removed superfluous pcf-files from sources, they are generated
  from the bdf-files anyway, therefore they are not needed.
* Fri Jan 12 2001 - mfabian@suse.de
- use bzip2 instead of gzip for sources
- install a bare bones fonts.scale.baekmuk which is understood
  by both freetype and xtt. Using xtt's TTCap options it is
  possible to create bold and italic versions of regular fonts,
  which is a very nice feature. But if xtt's TTCap options are
  used in the fonts.dir of a directory with TrueType fonts,
  the whole directory won't work anymore with freetype.
  Therefore, I install a very simple fonts.scale.baekmuk for the
  time being, until we have a better idea what to do.
* Fri Jan 12 2001 - mfabian@suse.de
- added the missing "mkbold"
  (used the "mkbold" by NAGAO, Sadakazu <snagao@cs.titech.ac.jp>)
* Thu Jan 11 2001 - mfabian@suse.de
- fixed errors in spec-file.
- patched 'mkitalic' which caused autobuild to fail
* Tue Dec 26 2000 - violiet@susekorea.net
- made baekmuk fonts bold and italic with mkbold and mkitalic
- new fonts.alias
- merged another 10pt
- modified fonts.dir and fonts.scale
* Tue Nov 28 2000 - mfabian@suse.de
- changed name of subpackage "baekmukt" to "baekmuk-ttf"
- improved %%post and %%postun scripts. The previous version
  failed when this package was installed by autobuild into
  the buildsystem's chroot environment. I hope this is fixed now.
* Mon Nov 27 2000 - mfabian@suse.de
- removed workaround in .spec file to prevent %%{?suse_check}
  from gzipping the fonts.scale.baekmuk file
  %%{?suse_check} works correctly now, this workaround is no longer
  needed.
* Sat Nov 25 2000 - mfabian@suse.de
- changed directory to install the True Type fonts in to
  /usr/X11R6/lib/X11/fonts/truetype
- changed to new way of creating fonts.scale in
  /usr/X11R6/lib/X11/fonts/truetype to share it with other
  font packages which install in the same directory.
* Thu Oct 05 2000 - mfabian@suse.de
- true type fonts were not correctly unpacked
* Tue Aug 29 2000 - mfabian@suse.de
- tested whether mkfontdir is available
* Tue Aug 22 2000 - mfabian@suse.de
- adapted .spec file to SuSE
* Sat Nov 20 1999 - Sang
- update to 1.3
* Thu Nov 11 1999 - Sang
- Accel Linux 6.1 build release.
* Fri Nov 05 1999 - Seo, Young
- upgrade to 1.2
* Wed Sep 01 1999 - Woohyun JANG <louis@mizi.co.kr>
- add gulim12-19990901.bdf
* Wed Aug 04 1999 - Seo, Young
- ttf font name fields are corrected.
- Thanks Cha, Jae-Choon <jccha@knot.kaist.ac.kr>
* Tue Aug 03 1999 - Woohyun JANG <louis@mizi.co.kr>
- add attr() in files section
* Thu Jul 29 1999 - Woohyun JANG <louis@mizi.co.kr>
- add hconfig.ps.sample in baekmuk-doc package
* Mon Jul 26 1999 - Woohyun JANG <louis@mizi.co.kr>
- add :unscaled. thanks to Kim Hyunchul <mindgame@plp.postech.ac.kr>
* Sat Jul 24 1999 - Seo, Young
- unscaled is removed from fontpath in post and postun script
* Thu Jul 22 1999 - Woohyun JANG <louis@mizi.co.kr>
- bug fix in fonts.dir(in baekmuk-ttf)
- initial release of baekmuk font
* Mon Jul 05 1999 - Woohyun JANG <louis@mizi.co.kr>
- add %%triggerin
* Wed Jun 23 1999 - Woohyun JANG <louis@mizi.co.kr>
- initial released
